Skip to main content
GET
/
api
/
v1
/
learn
/
feedback
/
admin
List Feedback Admin
curl --request GET \
  --url https://api.example.com/api/v1/learn/feedback/admin \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "registrationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "rating": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "userName": "<string>",
      "userEmail": "<string>",
      "courseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "courseTitle": "<string>",
      "shipId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "shipName": "<string>",
      "role": "<string>",
      "comment": "<string>"
    }
  ],
  "nextCursor": "<string>",
  "hasMore": false,
  "totalCount": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

course_id
string | null

Filter by course (single UUID or comma-separated UUIDs)

ship_id
string | null

Filter by ship (single UUID or comma-separated UUIDs)

limit
integer
default:10

Items per page

Required range: 1 <= x <= 1000
cursor
string | null

Pagination cursor

search
string | null

Search term

Maximum string length: 200
include_count
boolean
default:false

Include total count

Response

Successful Response

items
AdminFeedbackRowDTO · object[]
required
nextCursor
string | null
hasMore
boolean
default:false
totalCount
integer | null